Fix Evolution and Aruba TLS error

Se per pura sfiga stai usando Aruba – il triste ma fortunato provider di servizi italiano – e lo stai usando per della posta elettronica, e vorresti usare il client GNOME Evolution, e ti funziona perfettamente la ricezione della posta ma porcalamiseria quando provi ad inviare ricevi l’errore:

TLS handshake: A packet with illegal or unsupported version was received.

Allora significa che i mailserver Aruba basati su Microsoft Exchange-merda stanno ancora usando certificati pleistozoici TLS1.0 e TLS 1.1 deprecati in tutto il pianeta, per esempio da GNOME:

https://gitlab.gnome.org/GNOME/glib-networking/-/commit/0f5938dbc7ac92913673c102b5707675ca8a0eb9

Tutto questo naturalmente con i parametri SMTP ufficiali di Aruba:

  • Server: smtps.aruba.it
  • Porta: 465
  • Encyption method: TLS on a dedicated port
  • Type: PLAIN
  • Username: foo@example.com

Soluzioni disponibili:

  • Fai funzionare Evolution con Aruba a testate
  • Usi SMTP in chiaro
  • Provi un altro client
  • Non usi Aruba

Se hai scelto la prima opzione, modifica il file /etc/environment o similari nella tua distribuzione GNU/Linux e dichiara:

export G_TLS_GNUTLS_PRIORITY="NORMAL:%COMPAT:+VERS-TLS1.0"

Fai un logout, un login, e magicamente ora riuscirai a spedire posta con Evolution con Aruba.

Fine.

P.S.
Questa guida piace ad Aranzulla perché risolve un problema stupido e molto richiesto con una soluzione stupida che finirà subito su in Google. Il vero problema è però squisitamente sociale: non dovevi avere questo problema, perchè non dovevi adottare Aruba. Migra a qualsiasi fornitore di servizi, o tirati su una Dovecot + Postfix a caso (è fighissimo, fallo), ma scappa da Aruba.


Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *